Login | Register
My pages Projects Community openCollabNet

Discussions > users > Re: SSL_connect error after up2date client upgrade

Project highlights: Stable Version: 1.6.1, Development Version: 1.7.6

current
Discussion topic

Hide all messages in topic

All messages in topic

Re: SSL_connect error after up2date client upgrade

Reply

Author td3201
Full name Terry
Date 2003-09-18 07:09:45 PDT
Message Weird, I thought I checked that. I just did a cksum
on the files and in fact they were different. Sorry
for the wasted bits.

Thank you!


--- Juan Pablo Abuyeres <jpabuyer at tecnoera dot com> wrote:
> on the client, you have to
>
> cd /usr/share/rhn/
>
> and put there YOUR RHNS-CA-CERT
>
> when you upgraded up2date client, the rpm package
> overwrote that file.
>
>
> On Wed, 2003-09-17 at 09:43, Terry wrote:
>
> > Hello,
> >
> > I just stupidly upgraded my up2date client and now
> I
> > get an SSL_connect error when I do an up2date -l.
> The
> > certificate is the same. What can I do to fix
> this?
> >
> > Thanks!
> >
> > =====
> > Terry
> >
> > ____________________​______________
> > Do you Yahoo!?
> > Yahoo! SiteBuilder - Free, easy-to-use web site
> design software
> > http://sitebuilder.yahoo.com
> >
> >
>
--------------------​--------------------​--------------------​---------
> > To unsubscribe, e-mail:
> users-unsubscribe@cu​rrent.tigris.org
> > For additional commands, e-mail:
> users-help at current dot tigris dot org
>
> --
> Juan Pablo Abuyeres <jpabuyer at tecnoera dot com>
>


=====
Terry

____________________​______________
Do you Yahoo!?
Yahoo! SiteBuilder - Free, easy-to-use web site design software
http://sitebuilder.yahoo.com

--------------------​--------------------​--------------------​---------
To unsubscribe, e-mail: users-unsubscribe@cu​rrent.tigris.org
For additional commands, e-mail: users-help at current dot tigris dot org

Re: SSL_connect error after up2date client upgrade

Reply

Author Sebastien BLAISOT <sebastien at blaisot dot org>
Full name Sebastien BLAISOT <sebastien at blaisot dot org>
Date 2003-09-17 23:17:03 PDT
Message Juan Pablo Abuyeres wrote:
> on the client, you have to
>
> cd /usr/share/rhn/
>
> and put there YOUR RHNS-CA-CERT
>
> when you upgraded up2date client, the rpm package overwrote that file.

A better way to do this is to put your RHNS-CA-CERT in a file with an
other name (by example MY-RHNS-CA-CERT) and to add a line in
/etc/sysconfig/rhn/up2date that reads :

sslCACert[comment]=The CA cert used to verify the ssl server
sslCACert=/usr/share​/rhn/MY-RHNS-CA-CERT​

this way, when you upgrade up2date using RedHat's up2date RPM, it
overwrite the RHNS-CA-CERT file but doesn't destroy your MY-RHNS-CA-CERT
file.

And, as it detects that your up2date config file was changed from the
first install, it will NOT overwrite it. it will instead create a new
one with the name up2date.rpmnew

this way, you can update the up2date package and also use up2date for
updating up2date.
if you name your file RHNS-CA-CERT and have up2date updated by up2date
in the middle of a bunch of updates, this could be problematic and lead
to communication errors during up2date (at the end), because the file
changed while up2date was running (after installing the packages,
up2date communicate again with the rhn server to send him the list of
updated packages on the system, IIRC).

regards,

--
S. BLAISOT


--------------------​--------------------​--------------------​---------
To unsubscribe, e-mail: users-unsubscribe@cu​rrent.tigris.org
For additional commands, e-mail: users-help at current dot tigris dot org

Re: SSL_connect error after up2date client upgrade

Reply

Author hunterm
Full name Hunter Matthews
Date 2003-09-17 10:28:48 PDT
Message Thanks guys - this is correct.

On Wed, 2003-09-17 at 10:47, Juan Pablo Abuyeres wrote:
> on the client, you have to
>
> cd /usr/share/rhn/
>
> and put there YOUR RHNS-CA-CERT
>
> when you upgraded up2date client, the rpm package overwrote that file.
>
>
> On Wed, 2003-09-17 at 09:43, Terry wrote:
> > Hello,
> >
> > I just stupidly upgraded my up2date client and now I
> > get an SSL_connect error when I do an up2date -l. The
> > certificate is the same. What can I do to fix this?
> >
> > Thanks!
> >
> > =====
> > Terry
> >
> > ____________________​______________
> > Do you Yahoo!?
> > Yahoo! SiteBuilder - Free, easy-to-use web site design software
> > http://sitebuilder.yahoo.com
> >
> > --------------------​--------------------​--------------------​---------
> > To unsubscribe, e-mail: users-unsubscribe@cu​rrent.tigris.org
> > For additional commands, e-mail: users-help at current dot tigris dot org
>
> --
>
> Juan Pablo Abuyeres <jpabuyer at tecnoera dot com>
--
Hunter Matthews Unix / Network Administrator
Office: BioScience 145/244 Duke Univ. Biology Department
Key: F0F88438 / FFB5 34C0 B350 99A4 BB02 9779 A5DB 8B09 F0F8 8438
Never take candy from strangers. Especially on the internet.




--------------------​--------------------​--------------------​---------
To unsubscribe, e-mail: users-unsubscribe@cu​rrent.tigris.org
For additional commands, e-mail: users-help at current dot tigris dot org

Re: SSL_connect error after up2date client upgrade

Reply

Author Juan Pablo Abuyeres <jpabuyer at tecnoera dot com>
Full name Juan Pablo Abuyeres <jpabuyer at tecnoera dot com>
Date 2003-09-17 07:47:22 PDT
Message on the client, you have to

cd /usr/share/rhn/

and put there YOUR RHNS-CA-CERT

when you upgraded up2date client, the rpm package overwrote that file.


On Wed, 2003-09-17 at 09:43, Terry wrote:

> Hello,
>
> I just stupidly upgraded my up2date client and now I
> get an SSL_connect error when I do an up2date -l. The
> certificate is the same. What can I do to fix this?
>
> Thanks!
>
> =====
> Terry
>
> ____________________​______________
> Do you Yahoo!?
> Yahoo! SiteBuilder - Free, easy-to-use web site design software
> http://sitebuilder.yahoo.com
>
> --------------------​--------------------​--------------------​---------
> To unsubscribe, e-mail: users-unsubscribe@cu​rrent.tigris.org
> For additional commands, e-mail: users-help at current dot tigris dot org

--
Juan Pablo Abuyeres <jpabuyer at tecnoera dot com>
Attachments

SSL_connect error after up2date client upgrade

Reply

Author td3201
Full name Terry
Date 2003-09-17 06:43:42 PDT
Message Hello,

I just stupidly upgraded my up2date client and now I
get an SSL_connect error when I do an up2date -l. The
certificate is the same. What can I do to fix this?

Thanks!

=====
Terry

____________________​______________
Do you Yahoo!?
Yahoo! SiteBuilder - Free, easy-to-use web site design software
http://sitebuilder.yahoo.com

--------------------​--------------------​--------------------​---------
To unsubscribe, e-mail: users-unsubscribe@cu​rrent.tigris.org
For additional commands, e-mail: users-help at current dot tigris dot org
Messages per page: